Loading...
Searching...
No Matches
svn_info_t Struct Reference
Client working copy management » Show repository information about a working copy.

A structure which describes various system-generated metadata about a working-copy path or URL. More...

`#include <svn_client.h>`

## Data Fields

const char * | URL
| Where the item lives in the repository.
svn_revnum_t | rev
| The revision of the object.
svn_node_kind_t | kind
| The node's kind.
const char * | repos_root_URL
| The root URL of the repository.
const char * | repos_UUID
| The repository's UUID.
svn_revnum_t | last_changed_rev
| The last revision in which this object changed.
apr_time_t | last_changed_date
| The date of the last_changed_rev.
const char * | last_changed_author
| The author of the last_changed_rev.
svn_lock_t * | lock
| An exclusive lock, if present.
svn_boolean_t | has_wc_info
| Whether or not to ignore the next 10 wc-specific fields.
apr_size_t | size
| Similar to size64, but size will be SVN_INFO_SIZE_UNKNOWN when its value would overflow apr_size_t (so when size >= 4 GB - 1 byte).
svn_filesize_t | size64
| The size of the file in the repository (untranslated, e.g.
Working-copy path fields

The size of the file after being translated into its local representation, or SVN_INVALID_FILESIZE if unknown.

Not applicable for directories.

Since
  New in 1.6.

svn_wc_schedule_t | schedule
const char * | copyfrom_url
svn_revnum_t | copyfrom_rev
apr_time_t | text_time
apr_time_t | prop_time
const char * | checksum
const char * | conflict_old
const char * | conflict_new
const char * | conflict_wrk
const char * | prejfile
const char * | changelist
svn_depth_t | depth
apr_size_t | working_size
| Similar to working_size64, but will be SVN_INFO_SIZE_UNKNOWN when its value would overflow apr_size_t (so when size >= 4 GB - 1 byte).
svn_filesize_t | working_size64
svn_wc_conflict_description_t * | tree_conflict
| Info on any tree conflict of which this node is a victim.

## Detailed Description

A structure which describes various system-generated metadata about a working-copy path or URL.

Note
  Fields may be added to the end of this structure in future versions. Therefore, users shouldn't allocate structures of this type, to preserve binary compatibility.

Since
  New in 1.2.

Deprecated
  Provided for backward compatibility with the 1.6 API. The new API is svn_client_info2_t.

Definition at line 7195 of file svn_client.h.

## Field Documentation

## changelist

const char* svn_info_t::changelist

Since
  New in 1.5.

Definition at line 7246 of file svn_client.h.

## checksum

const char* svn_info_t::checksum

Definition at line 7240 of file svn_client.h.

## conflict_new

const char* svn_info_t::conflict_new

Definition at line 7242 of file svn_client.h.

## conflict_old

const char* svn_info_t::conflict_old

Definition at line 7241 of file svn_client.h.

## conflict_wrk

const char* svn_info_t::conflict_wrk

Definition at line 7243 of file svn_client.h.

## copyfrom_rev

svn_revnum_t svn_info_t::copyfrom_rev

Definition at line 7237 of file svn_client.h.

## copyfrom_url

const char* svn_info_t::copyfrom_url

Definition at line 7236 of file svn_client.h.

## depth

svn_depth_t svn_info_t::depth

Since
  New in 1.5.

Definition at line 7248 of file svn_client.h.

## has_wc_info

svn_boolean_t svn_info_t::has_wc_info

Whether or not to ignore the next 10 wc-specific fields.

Definition at line 7227 of file svn_client.h.

## kind

svn_node_kind_t svn_info_t::kind

The node's kind.

Definition at line 7206 of file svn_client.h.

## last_changed_author

const char* svn_info_t::last_changed_author

The author of the last_changed_rev.

Definition at line 7221 of file svn_client.h.

## last_changed_date

apr_time_t svn_info_t::last_changed_date

The date of the last_changed_rev.

Definition at line 7218 of file svn_client.h.

## last_changed_rev

svn_revnum_t svn_info_t::last_changed_rev

The last revision in which this object changed.

Definition at line 7215 of file svn_client.h.

## lock

svn_lock_t* svn_info_t::lock

An exclusive lock, if present.

Could be either local or remote.

Definition at line 7224 of file svn_client.h.

## prejfile

const char* svn_info_t::prejfile

Definition at line 7244 of file svn_client.h.

## prop_time

apr_time_t svn_info_t::prop_time

Definition at line 7239 of file svn_client.h.

## repos_root_URL

const char* svn_info_t::repos_root_URL

The root URL of the repository.

Definition at line 7209 of file svn_client.h.

## repos_UUID

const char* svn_info_t::repos_UUID

The repository's UUID.

Definition at line 7212 of file svn_client.h.

## rev

svn_revnum_t svn_info_t::rev

The revision of the object.

If path_or_url is a working-copy path, then this is its current working revnum. If path_or_url is a URL, then this is the repos revision that path_or_url lives in.

Definition at line 7203 of file svn_client.h.

## schedule

svn_wc_schedule_t svn_info_t::schedule

Definition at line 7235 of file svn_client.h.

## size

apr_size_t svn_info_t::size

Similar to size64, but size will be SVN_INFO_SIZE_UNKNOWN when its value would overflow apr_size_t (so when size >= 4 GB - 1 byte).

Deprecated
  Provided for backward compatibility with the 1.5 API.

Definition at line 7266 of file svn_client.h.

## size64

svn_filesize_t svn_info_t::size64

The size of the file in the repository (untranslated, e.g.

without adjustment of line endings and keyword expansion). Only applicable for file – not directory – URLs. For working copy paths, size64 will be SVN_INVALID_FILESIZE.

Since
  New in 1.6.

Definition at line 7275 of file svn_client.h.

## text_time

apr_time_t svn_info_t::text_time

Definition at line 7238 of file svn_client.h.

## tree_conflict

svn_wc_conflict_description_t* svn_info_t::tree_conflict

Info on any tree conflict of which this node is a victim.

Otherwise NULL.

Since
  New in 1.6.

Definition at line 7291 of file svn_client.h.

## URL

const char* svn_info_t::URL

Where the item lives in the repository.

Definition at line 7198 of file svn_client.h.

## working_size

apr_size_t svn_info_t::working_size

Similar to working_size64, but will be SVN_INFO_SIZE_UNKNOWN when its value would overflow apr_size_t (so when size >= 4 GB - 1 byte).

Deprecated
  Provided for backward compatibility with the 1.5 API.

Definition at line 7256 of file svn_client.h.

## working_size64

svn_filesize_t svn_info_t::working_size64

Definition at line 7285 of file svn_client.h.

The documentation for this struct was generated from the following file:

- svn_client.h